package ovh.herisson.Clyde.Tables.ScientificPublications;

import jakarta.persistence.FetchType;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.OnDelete;
import org.hibernate.annotations.OnDeleteAction;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ArticleCoAuthors {

    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "Researcher")
    private Researcher coAuthor;

    @ManyToOne(fetch = FetchType.EAGER)
    @OnDelete(action = OnDeleteAction.CASCADE)
    @JoinColumn(name = "Article")
    private Article article;
}
